org.jbpm.bpmn2.xml

## Class AbstractNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler
  Direct Known Subclasses:
    AbstractCompositeNodeHandler, ActionNodeHandler, BoundaryEventHandler, BusinessRuleTaskHandler, CallActivityHandler, CatchLinkNodeHandler, ComplexGatewayHandler, EndEventHandler, EndNodeHandler, EventBasedGatewayHandler, EventNodeHandler, ExclusiveGatewayHandler, FaultNodeHandler, InclusiveGatewayHandler, IntermediateCatchEventHandler, IntermediateThrowEventHandler, JoinHandler, ParallelGatewayHandler, ScriptTaskHandler, SplitHandler, StartEventHandler, StateNodeHandler, SubProcessHandler, TaskHandler, ThrowLinkNodeHandler, TimerNodeHandler, WorkItemNodeHandler

      public abstract class AbstractNodeHandler
      extends org.drools.core.xml.BaseAbstractHandler
      implements org.drools.core.xml.Handler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `dataInputs`
    `protected Map<String,String>` | `dataOutputs`
    `protected static String` | `EOL`
    `protected Map<String,String>` | `inputAssociation`
    `protected static org.slf4j.Logger` | `logger`
    `protected Map<String,String>` | `outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNodeHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `checkSignalAndConvertToRealSignalNam(org.drools.core.xml.ExtensibleXmlParser parser, String signalName)`
    `protected boolean` | `containsExtensionElements(Node node)`
    `protected abstract Node` | `createNode(Attributes attrs)`
    `Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `endNode(StringBuilder xmlDump)`
    `protected void` | `endNode(String name, StringBuilder xmlDump)`
    `static DroolsAction` | `extractScript(Element xmlNode)`
    `protected org.drools.core.process.core.datatype.DataType` | `getDataType(String itemSubjectRef, Map<String,ItemDefinition> itemDefinitions, ClassLoader cl)`
    `protected String` | `getErrorIdForErrorCode(String errorCode, Node node)`
    `protected Map<String,Object>` | `getMetaData(Node node)`
    `protected String` | `getSignalExpression(NodeImpl node, String signalName, String variable)`
    `protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `handleScript(ExtendedNodeImpl node, Element element, String type)`
    `protected void` | `handleThrowCompensationEventNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `initValidParents()`
    `protected void` | `initValidPeers()`
    `protected void` | `readDataInputAssociation(Node xmlNode, Map<String,String> forEachNodeInputAssociation)`
    `protected void` | `readDataOutputAssociation(Node xmlNode, Map<String,String> forEachNodeOutputAssociation)`
    `protected void` | `readIoSpecification(Node xmlNode, Map<String,String> dataInputs, Map<String,String> dataOutputs)`
    `protected void` | `readMultiInstanceLoopCharacteristics(Node xmlNode, ForEachNode forEachNode, org.drools.core.xml.ExtensibleXmlParser parser)`
    `Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `writeExtensionElements(Node node, StringBuilder xmlDump)`
    `protected void` | `writeMetaData(Node node, StringBuilder xmlDump)`
    `abstract void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`
    `protected void` | `writeNode(String name, Node node, StringBuilder xmlDump, int metaDataType)`
    `static void` | `writeScript(DroolsAction action, String type, StringBuilder xmlDump)`
    `protected void` | `writeScripts(String type, List<DroolsAction> actions, StringBuilder xmlDump)`
    `protected void` | `writeVariableName(EventNode eventNode, StringBuilder xmlDump)`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, generateNodeFor, getValidParents, getValidPeers`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### EOL

          protected static final String EOL

    - #### dataInputs

          protected Map<String,String> dataInputs

    - #### dataOutputs

          protected Map<String,String> dataOutputs

    - #### inputAssociation

          protected Map<String,String> inputAssociation

    - #### outputAssociation

          protected Map<String,String> outputAssociation

  - ### Constructor Detail

    - #### AbstractNodeHandler

          public AbstractNodeHandler()

  - ### Method Detail

    - #### initValidParents

          protected void initValidParents()

    - #### initValidPeers

          protected void initValidPeers()

    - #### start

          public Object start(String uri,
                              String localName,
                              Attributes attrs,
                              org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

      Specified by:
        `start` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### createNode

          protected abstract Node createNode(Attributes attrs)

    - #### end

          public Object end(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### handleNode

          protected void handleNode(Node node,
                                    Element element,
                                    String uri,
                                    String localName,
                                    org.drools.core.xml.ExtensibleXmlParser parser)
                             throws SAXException

      Throws:
        `SAXException`

    - #### writeNode

          public abstract void writeNode(Node node,
                                         StringBuilder xmlDump,
                                         int metaDataType)

    - #### writeNode

          protected void writeNode(String name,
                                   Node node,
                                   StringBuilder xmlDump,
                                   int metaDataType)

    - #### endNode

          protected void endNode(StringBuilder xmlDump)

    - #### endNode

          protected void endNode(String name,
                                 StringBuilder xmlDump)

    - #### handleScript

          protected void handleScript(ExtendedNodeImpl node,
                                      Element element,
                                      String type)

    - #### extractScript

          public static DroolsAction extractScript(Element xmlNode)

    - #### writeMetaData

          protected void writeMetaData(Node node,
                                       StringBuilder xmlDump)

    - #### getMetaData

          protected Map<String,Object> getMetaData(Node node)

    - #### writeExtensionElements

          protected void writeExtensionElements(Node node,
                                                StringBuilder xmlDump)

    - #### containsExtensionElements

          protected boolean containsExtensionElements(Node node)

    - #### writeScripts

          protected void writeScripts(String type,
                                      List<DroolsAction> actions,
                                      StringBuilder xmlDump)

    - #### writeScript

          public static void writeScript(DroolsAction action,
                                         String type,
                                         StringBuilder xmlDump)

    - #### readIoSpecification

          protected void readIoSpecification(Node xmlNode,
                                             Map<String,String> dataInputs,
                                             Map<String,String> dataOutputs)

    - #### readDataInputAssociation

          protected void readDataInputAssociation(Node xmlNode,
                                                  Map<String,String> forEachNodeInputAssociation)

    - #### readDataOutputAssociation

          protected void readDataOutputAssociation(Node xmlNode,
                                                   Map<String,String> forEachNodeOutputAssociation)

    - #### readMultiInstanceLoopCharacteristics

          protected void readMultiInstanceLoopCharacteristics(Node xmlNode,
                                                              ForEachNode forEachNode,
                                                              org.drools.core.xml.ExtensibleXmlParser parser)

    - #### getDataType

          protected org.drools.core.process.core.datatype.DataType getDataType(String itemSubjectRef,
                                                                               Map<String,ItemDefinition> itemDefinitions,
                                                                               ClassLoader cl)

    - #### getErrorIdForErrorCode

          protected String getErrorIdForErrorCode(String errorCode,
                                                  Node node)

    - #### handleThrowCompensationEventNode

          protected void handleThrowCompensationEventNode(Node node,
                                                          Element element,
                                                          String uri,
                                                          String localName,
                                                          org.drools.core.xml.ExtensibleXmlParser parser)

    - #### writeVariableName

          protected void writeVariableName(EventNode eventNode,
                                           StringBuilder xmlDump)

    - #### getSignalExpression

          protected String getSignalExpression(NodeImpl node,
                                               String signalName,
                                               String variable)

    - #### checkSignalAndConvertToRealSignalNam

          protected String checkSignalAndConvertToRealSignalNam(org.drools.core.xml.ExtensibleXmlParser parser,
                                                                String signalName)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.